Number of Ways to Split Array - Leetcode 2270 - Python

แชร์
ฝัง
  • เผยแพร่เมื่อ 19 ม.ค. 2025

ความคิดเห็น • 33

  • @user-my6yf1st8z
    @user-my6yf1st8z 17 วันที่ผ่านมา +30

    solved it myself, so NO NEETCODE FOR TODAY BABY!🥳🥳🥳 See u all tomorrow

    • @selfhelpguy5589
      @selfhelpguy5589 17 วันที่ผ่านมา +1

      Me too!

    • @focminging652
      @focminging652 17 วันที่ผ่านมา +1

      same thank you neetcode daddy

    • @AyushJain-j7c
      @AyushJain-j7c 17 วันที่ผ่านมา

      me to!
      🤨

    • @KedarBhawthankar
      @KedarBhawthankar 16 วันที่ผ่านมา

      same here

    • @raghavmakhija2928
      @raghavmakhija2928 16 วันที่ผ่านมา +2

      i got 92/101 testcases, so here i am for neetcode

  • @business_central
    @business_central 17 วันที่ผ่านมา +5

    Bruh you getting faster and faster everyday. So proud of your progress, I still remember early days before the website and the early videos.
    Keep going, you the best!

  • @sanjayrajvv1295
    @sanjayrajvv1295 17 วันที่ผ่านมา +9

    Acceptance rate is less here because we need to use long instead of int. So most of them will submit atleast twice and the succes rate is 50%.

    • @NeetCodeIO
      @NeetCodeIO  17 วันที่ผ่านมา +2

      Oh that makes sense.

  • @lazar9677
    @lazar9677 17 วันที่ผ่านมา +7

    Oh wow I did it using a prefix sum and a suffix sum array and comparing them to find the answer

    • @dibyajyotighosh4356
      @dibyajyotighosh4356 17 วันที่ผ่านมา +5

      Me too 🙂, prolly because we used it on a previous leetcode problem recently.... so it automatically popped up in our heads

  • @jayjw1
    @jayjw1 17 วันที่ผ่านมา

    This was a problem where I found the exact same solution as you on my own, although it was on the easier end of problems. Thank you NeetCode.

  • @araneuskyuro
    @araneuskyuro 16 วันที่ผ่านมา

    Man, this guy is the goat. Rapid upload speed.
    And yeah, this problem was kinda easy, felt weird for a "medium"

  • @domin8761
    @domin8761 17 วันที่ผ่านมา +2

    The devil works hard but bro works harder 🤣
    Thank you for being such a motivational figure 💗

  • @intaechung791
    @intaechung791 16 วันที่ผ่านมา

    Was able to reach the solution by looking back at a solution you posted two days ago (1422. Maximum Score After Splitting a String) which worked!
    Just wanted to comment how your videos are so useful for learning how to not only solve the problem, but also arrive to the solution. So thank you!

  • @maggo0
    @maggo0 17 วันที่ผ่านมา +1

    class Solution:
    def waysToSplitArray(self, nums: List[int]) -> int:
    right = sum(nums)
    left = 0
    res = 0
    for i in range(len(nums) - 1):
    left += nums[i]
    right -= nums[i]
    res += 1 if left >= right else 0
    return res

  • @skanderbegvictor6487
    @skanderbegvictor6487 16 วันที่ผ่านมา

    Solved it myself. I can almost solve medium problems now

  • @noob_coder8926
    @noob_coder8926 17 วันที่ผ่านมา

    Already solved it but here to see my bro neetcode solve it.

  • @vierliu5322
    @vierliu5322 17 วันที่ผ่านมา

    From my observation, acceptance rate is more relevant to the completeness of default test cases rather than actual difficulty.

  • @tahamidhossain597
    @tahamidhossain597 16 วันที่ผ่านมา

    Excellent explanation. Thank you :)

  • @beardedcoding3346
    @beardedcoding3346 14 วันที่ผ่านมา

    The acceptance rate is low because in strongly typed languages, you can easily fail on the last test case if you use for example an int in Java to store your sums instead of a long.

  • @prathamgenius
    @prathamgenius 17 วันที่ผ่านมา

    Well Explained Code !!

  • @lucasonyiego4132
    @lucasonyiego4132 17 วันที่ผ่านมา

    Keep up the good work

  • @jiajinho4834
    @jiajinho4834 17 วันที่ผ่านมา

    Slick explanation!

  • @rahulsyt_
    @rahulsyt_ 17 วันที่ผ่านมา

    I also thought the exactly same, but isn't in the worst case of we have all positive integers in the array, and all the integers are of 10^5 size. Then how, one can hold this much bigger number even in long datatype in Java.

  • @mitan4e113
    @mitan4e113 17 วันที่ผ่านมา

    One question, this seems to be the most optimal solution however it is only in the top 77%, how are people achieving faster times? Is it because they are using a faster language i.e. C?

  • @Code_Leveler
    @Code_Leveler 17 วันที่ผ่านมา

    I used both Prefix sum Array and Suffix sum iteratvely from backwards to 1 index and checked for condition where my sufffixsum

  • @yhbarve
    @yhbarve 17 วันที่ผ่านมา

    Valtteri, it's James!

  • @33_chaitanyagadkari64
    @33_chaitanyagadkari64 3 วันที่ผ่านมา

    -1 + -8 = +7?

  • @sashrikgupta9708
    @sashrikgupta9708 16 วันที่ผ่านมา

    yaa i am a mad person , i did it with dp

  • @albin_joby
    @albin_joby 17 วันที่ผ่านมา

    count = 0
    left, right = nums[0], sum(nums[1:])
    for i in range(1,len(nums)):
    if left >= right:
    count += 1
    right -= nums[i]
    left += nums[i]
    return count